@import url(https://fonts.googleapis.com/css?family=Lato:400,400italic,700);

$lightGray: #2D2D2D;
$blue: #285EFA;
$green: #3DE066;
$red: #FA4A5D;

$pulseDuration: 0.5s;

.pad {
    font-family: Lato;
    font-weight: 400;
    letter-spacing: 1px;
    background-color: #232323;
    overflow: hidden;
    user-select: none;
    height: 100%;

    .dial-pad {
        .contact {
            width: 60%;
            position: relative;
            margin-left: 20%;
            margin-top: 40px;
            opacity: 0;
            transition: opacity 0.5s ease;

            &.showContact {
                opacity: 1;
            }

            .avatar {
                background-repeat: no-repeat;
                background-size: auto 100%;
                background-position: center center;
                width: 60px;
                height: 60px;
                border-radius: 100%;
                box-shadow: 0 15px 30px -10px black;
                position: absolute;
                left: 0;
                top: 8px;
            }

            .contact-info {
                border-radius: 8px;
                width: 85%;
                margin-left: 15%;
                background-color: $lightGray;
                height: 76px;
                overflow: hidden;

                & > div {
                    width: 80%;
                    margin-left: 20%;
                    font-size: 12px;
                    margin-top: 3px;
                }

                .contact-name {
                    color: #FDFDFD;
                    margin-top: 12px;
                }

                .contact-position {
                    font-style: italic;
                    color: #AEAEAE;
                }

                .contact-number {
                    color: white;

                    span {
                        color: $green;
                        display: inline;
                    }
                }
            }

            .contact-buttons {
                position: absolute;
                right: -5px;
                top: 0;
                width: 40px;
                height: 76px;

                button {
                    border: none;
                    width: 25px;
                    height: 25px;
                    border-radius: 100%;
                    box-shadow: 0 12px 25px -5px black;
                    display: block;
                    position: absolute;
                    right: 0;
                    background-size: 75% auto;
                    background-position: center center;
                    background-repeat: no-repeat;

                    &:focus {
                        outline: none;
                    }

                    &.icon-message {
                        background-color: #FFC44E;
                        top: 5px;
                    }

                    &.icon-video {
                        background-color: #A529F9;
                        bottom: 5px;
                    }
                }
            }
        }

        .phoneString {
            width: 100%;
            height: 80px;
            background-color: $lightGray;
            margin-top: 40px;

            input {
                background-color: transparent;
                width: 60%;
                margin-left: 20%;
                height: 80px;
                border: none;
                font-size: 30px;
                color: white;
                font-weight: 700;
                letter-spacing: 2px;

                &:focus {
                    outline: none;
                }
            }
        }

        .digits {
            overflow: hidden;
            width: 60%;
            margin-left: 20%;
            margin-top: 20px;

            .dig-spacer {
                width: 60px;
                margin: 10px calc(50% - 90px);
                float: left;
            }

            .dig {
                color: white;
                font-size: 30px;
                float: left;
                background-color: $lightGray;
                text-align: center;
                width: 60px;
                height: 56px;
                border-radius: 100%;
                margin: 10px 0;
                padding-top: 4px;
                font-weight: 700;
                cursor: pointer;
                background-position: center;
                transition: background 1s;

                &:hover {
                    background: $lightGray radial-gradient(circle, transparent 1%, $lightGray 1%) center/15000%;
                }

                &:active {
                    background-color: white;
                    background-size: 100%;
                    transition: background 0s;
                }

                &:nth-child(3n-1) {
                    margin: 10px calc(50% - 90px);
                }

                &.astrisk {
                    padding-top: 17px;
                    height: 43px;
                }

                &.pound {
                    padding-top: 10px;
                    height: 50px;
                }

                .sub-dig {
                    font-size: 8px;
                    font-weight: 300;
                    position: relative;
                    top: -2px;
                }

                &.goBack, &.addPerson {
                    box-sizing: border-box;
                    height: 60px;
                    padding: 8px;
                    text-align: center;
                }

                &.goBack {
                    background-color: $red;

                    &:hover {
                        background: $red radial-gradient(circle, transparent 1%, $red 1%) center/15000%;
                    }

                    &:active {
                        background-color: white;
                        background-size: 100%;
                        transition: background 0s;
                    }
                }

                &.addPerson {
                    background-color: $blue;

                    &:hover {
                        background: $blue radial-gradient(circle, transparent 1%, $blue 1%) center/15000%;
                    }

                    &:active {
                        background-color: white;
                        background-size: 100%;
                        transition: background 0s;
                    }
                }
            }
        }
    }

    .call-pad {
        opacity: 0;
        height: 0;
        pointer-events: none;
        transition: opacity 0.3s ease;
        position: absolute;
        width: 100%;
        left: 0;
        top: 0;
        background-color: #1e8692;
        background-image: linear-gradient(141deg, #00fff3 0%, #1e8692 51%, #3e547d 75%);

        &.in-call {
            height: 100%;
            opacity: 1;
            pointer-events: all;

            .ca-avatar {
                transform: scale(1, 1);
                //opacity: 1;
            }

            .pulsate {
                animation: pulsator 2s ease infinite;
                opacity: 1;
            }
        }

        .pulsate {
            opacity: 0;
            width: 150px;
            height: 0;
            overflow: visible;
            position: relative;
            display: block;
            margin: 0 auto 0;
            top: 120px;
            transition: opacity 0.5s ease;

            div {
                position: absolute;
                background-color: rgba(70, 136, 160, 0.17);
                border-radius: 100%;
                margin: auto;
                left: 0;
                top: 0;
                right: 0;
                bottom: 0;

                &:nth-child(1) {
                    width: 110px;
                    height: 110px;
                }

                &:nth-child(2) {
                    width: 122px;
                    height: 122px;
                }

                &:nth-child(3) {
                    width: 134px;
                    height: 134px;
                }
            }
        }

        .ca-avatar {
            width: 100px;
            height: 100px;
            margin: 70px auto;
            margin-bottom: 30px;
            display: block;
            background-color: #375d6b;
            border-radius: 100%;
            background-position: center center;
            background-size: 100% auto;
            background-repeat: no-repeat;
            transition: opacity 1s ease,
            transform 1s ease;
            opacity: 0.5;
            transform: scale(0.5, 0.5);

            i {
                width: 100px;
                text-align: center;
            }
        }

        .ca-name, .ca-number, .ca-status {
            width: 60%;
            margin-left: 20%;
            color: white;
            text-align: center;
            font-weight: bold;
            margin-bottom: 15px;
        }

        .ca-name {
            font-size: 18px;
        }

        .ca-number {
            font-size: 28px;
            letter-spacing: 2px;
        }

        .ca-status {
            font-size: 30px;
            margin-top: 40px;
            margin-bottom: 40px;

            &:after {
                content: attr(data-dots);
                position: absolute;
            }
        }

        .ca-buttons {
            width: 70%;
            margin-left: 15%;

            .ca-b-single {
                float: left;
                width: 60px;
                height: 60px;
                background-color: rgba(255, 255, 255, 0.3);
                border-radius: 100%;
                position: relative;
                margin-bottom: 40px;

                i {
                    width: 60px;
                    height: 60px;
                    padding: 16px;
                    text-align: center;
                    box-sizing: border-box;
                }

                &:nth-child(3n-1) {
                    margin-left: calc(100% - 230px);
                    margin-right: calc(100% - 230px);
                }

                &:after {
                    content: attr(data-label);
                    color: white;
                    position: absolute;
                    text-align: center;
                    font-size: 10px;
                    width: 100px;
                    bottom: -20px;
                    left: -18px;
                    letter-spacing: 2px;
                }
            }
        }
    }

    .action-dig {
        color: white;
        font-size: 30px;
        text-align: center;
        width: 60px;
        height: 60px;
        border-radius: 100%;
        margin: 10px 0;
        font-weight: 700;
        cursor: pointer;
        position: absolute;
        bottom: 25px;
        box-shadow: 0 25px 30px -15px black;
        transition: background 1s;

        i {
            position: absolute;
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            padding: 17px;
            box-sizing: border-box;
        }

        &:active {
            background-color: white;
            background-size: 100%;
            transition: background 0s;
        }
    }

    .call {
        left: calc(50% - 30px);
        background-color: #3DE066;

        &:hover {
            background: #3DE066 radial-gradient(circle, transparent 1%, #3DE066 1%) center/15000%;
        }

        &:active {
            background-color: white;
            background-size: 100%;
            transition: background 0s;
        }

        .call-icon {
            transform: rotate(90deg);
            transition: transform 0.3s ease;
        }

        &.in-call {
            .call-icon {
                transform: rotate(225deg);
            }

            .call-change span {
                top: -5px;
                left: -5px;
            }
        }

        .call-change {
            width: 60px;
            height: 60px;
            border-radius: 100%;
            overflow: hidden;

            span {
                width: 70px;
                height: 67px;
                display: block;
                background-color: $red;
                position: relative;
                top: 70px;
                left: 70px;
                border-radius: 100%;
                transition: left 0.3s ease, top 0.3s ease;
            }
        }
    }

    .answer {
        right: calc(25% - 30px);
        background-color: $green;

        &:hover {
            background: $green radial-gradient(circle, transparent 1%, $green 1%) center/15000%;
        }

        &:active {
            background-color: white;
            background-size: 100%;
            transition: background 0s;
        }
    }

    .reject {
        left: calc(25% - 30px);
        background-color: $red;

        &:hover {
            background: $red radial-gradient(circle, transparent 1%, $red 1%) center/15000%;
        }

        &:active {
            background-color: white;
            background-size: 100%;
            transition: background 0s;
        }

        i {
            transform: rotate(225deg);
        }
    }
}

@keyframes pulsator {
    0% {
        transform: scale(1, 1);
    }
    40% {
        transform: scale(0.8, 0.8);
    }
    100% {
        transform: scale(1, 1);
    }
}